import './class-component-hooks';

import Vue from 'vue';
import App from './App.vue';
import { store } from './store';
import router from './router';
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';

import './registerServiceWorker';

Vue.component('fa-icon', FontAwesomeIcon);

new Vue({
  router,
  store,
  render: (h) => h(App)
}).$mount('#app');
